> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the authenticated user

> Returns the profile of the currently authenticated user. When authentication is disabled, returns an anonymous user representation.



## OpenAPI

````yaml get /v1/user
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/user:
    get:
      tags:
        - users
      summary: Get the authenticated user
      description: >-
        Returns the profile of the currently authenticated user. When
        authentication is disabled, returns an anonymous user representation.
      operationId: getViewer
      responses:
        '200':
          description: The authenticated user's profile.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetViewerResponseBody'
        '401':
          content:
            text/plain:
              schema:
                type: string
          description: User not found.
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    GetViewerResponseBody:
      properties:
        data:
          oneOf:
            - $ref: '#/components/schemas/LocalUser'
            - $ref: '#/components/schemas/OAuth2User'
            - $ref: '#/components/schemas/LDAPUser'
            - $ref: '#/components/schemas/AnonymousUser'
          title: Data
          discriminator:
            propertyName: auth_method
            mapping:
              ANONYMOUS:
                $ref: '#/components/schemas/AnonymousUser'
              LDAP:
                $ref: '#/components/schemas/LDAPUser'
              LOCAL:
                $ref: '#/components/schemas/LocalUser'
              OAUTH2:
                $ref: '#/components/schemas/OAuth2User'
      type: object
      required:
        - data
      title: GetViewerResponseBody
    LocalUser:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        email:
          type: string
          title: Email
        username:
          type: string
          title: Username
        role:
          type: string
          enum:
            - SYSTEM
            - ADMIN
            - MEMBER
            - VIEWER
          title: Role
        auth_method:
          type: string
          const: LOCAL
          title: Auth Method
        password:
          type: string
          title: Password
        password_needs_reset:
          type: boolean
          title: Password Needs Reset
      type: object
      required:
        - id
        - created_at
        - updated_at
        - email
        - username
        - role
        - auth_method
        - password_needs_reset
      title: LocalUser
    OAuth2User:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        email:
          type: string
          title: Email
        username:
          type: string
          title: Username
        role:
          type: string
          enum:
            - SYSTEM
            - ADMIN
            - MEMBER
            - VIEWER
          title: Role
        auth_method:
          type: string
          const: OAUTH2
          title: Auth Method
        oauth2_client_id:
          type: string
          title: Oauth2 Client Id
        oauth2_user_id:
          type: string
          title: Oauth2 User Id
        profile_picture_url:
          type: string
          title: Profile Picture Url
      type: object
      required:
        - id
        - created_at
        - updated_at
        - email
        - username
        - role
        - auth_method
      title: OAuth2User
    LDAPUser:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        email:
          type: string
          title: Email
        username:
          type: string
          title: Username
        role:
          type: string
          enum:
            - SYSTEM
            - ADMIN
            - MEMBER
            - VIEWER
          title: Role
        auth_method:
          type: string
          const: LDAP
          title: Auth Method
      type: object
      required:
        - id
        - created_at
        - updated_at
        - email
        - username
        - role
        - auth_method
      title: LDAPUser
    AnonymousUser:
      properties:
        auth_method:
          type: string
          const: ANONYMOUS
          title: Auth Method
      type: object
      required:
        - auth_method
      title: AnonymousUser

````